Name: dosfstools
Summary: Utilities for making and checking MS-DOS FAT filesystems on Linux
Version: 3.0.9
Release: 4%{?dist}
License: GPLv3+
Group: Applications/System
Source0: http://www.daniel-baumann.ch/software/dosfstools/%{name}-%{version}.tar.bz2
URL: http://www.daniel-baumann.ch/software/dosfstools/
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# Fix dosfsck and dosfslabel on s390x (#624596)
Patch0: dosfstools-3.0.9-s390x-unalign.patch
# Fix buffer overflow in alloc_rootdir_entry (#677789)
Patch1: dosfstools-3.0.9-fix-alloc-rootdir-entry.patch
# Fix dosfslabel on FAT32 (#688128)
Patch2: dosfstools-3.0.9-dosfslabel-fat32.patch
# Fix device partitions detection (#709266)
Patch3: dosfstools-3.0.9-dev-detect-fix.patch

%description
The dosfstools package includes the mkdosfs and dosfsck utilities,
which respectively make and check MS-DOS FAT filesystems on hard
drives or on floppies.

%prep
%setup -q
%patch0 -p1 -b .s390x-unalign
%patch1 -p1 -b .fix-alloc-rootdir-entry
%patch2 -p1 -b .dosfslabel-fat32
%patch3 -p1 -b .dev-detect-fix

%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -fno-strict-aliasing"

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install-bin install-man PREFIX=%{_prefix} SBINDIR=/sbin

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING doc/*-2.x
/sbin/*
%{_mandir}/man8/*


%changelog

